# H245_RedundancyEncodingCapability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_RedundancyEncodingCapability:

List of all members.

## Public Types

enum | OptionalFields { e_secondaryEncoding }

## Public Member Functions

| H245_RedundancyEncodingCapability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_RedundancyEncodingMethod | m_redundancyEncodingMethod
H245_CapabilityTableEntryNumber | m_primaryEncoding
H245_ArrayOf_CapabilityTableEntryNumber | m_secondaryEncoding

## Member Enumeration Documentation

enum H245_RedundancyEncodingCapability::OptionalFields

Enumerator:

  e_secondaryEncoding |

## Constructor & Destructor Documentation

H245_RedundancyEncodingCapability::H245_RedundancyEncodingCapability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_RedundancyEncodingCapability::GetDataLength | ( |  | ) | const

PBoolean H245_RedundancyEncodingCapability::Decode | ( | PASN_Stream & | strm | ) |

void H245_RedundancyEncodingCapability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_RedundancyEncodingCapability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_RedundancyEncodingCapability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_RedundancyEncodingCapability::Clone | ( |  | ) | const

## Member Data Documentation

H245_RedundancyEncodingMethod H245_RedundancyEncodingCapability::m_redundancyEncodingMethod

H245_CapabilityTableEntryNumber H245_RedundancyEncodingCapability::m_primaryEncoding

H245_ArrayOf_CapabilityTableEntryNumber H245_RedundancyEncodingCapability::m_secondaryEncoding

The documentation for this class was generated from the following file:

- h245.h